> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get note details



## OpenAPI

````yaml get /admin/notes/{note_id}/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/notes/{note_id}/{program_id}:
    get:
      tags:
        - Notes
      summary: Get note details
      operationId: 9f2dc4cc166e44bd2af2657bdc1f741d
      parameters:
        - name: note_id
          in: path
          description: ID of the note
          required: true
          schema:
            type: integer
            example: 1
        - name: program_id
          in: path
          description: ID of the program
          required: true
          schema:
            type: string
            example: donor
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  note:
                    description: The edited note
                    type: object
                  program_id:
                    description: ID of the program
                    type: integer
                  type:
                    description: Type of the note (entity or donor)
                    type: string
                type: object
        '404':
          description: Note not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Note not found.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````